"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyJwt = void 0;
const decodeValidJwt_1 = require("./decodeValidJwt");
const verifyJwt = (accessToken_1, userPoolId_1, region_1, ...args_1) => __awaiter(void 0, [accessToken_1, userPoolId_1, region_1, ...args_1], void 0, function* (accessToken, userPoolId, region, ignoreExpiration = false) {
    const info = yield (0, decodeValidJwt_1.decodeValidJwt)(userPoolId, region, ignoreExpiration, accessToken);
    // if we hav info, its valid
    return !!info;
});
exports.verifyJwt = verifyJwt;
