import { CloudFrontRequestEvent, Context } from 'aws-lambda';
export declare const viewerRequestEventHandler: (event: CloudFrontRequestEvent, context: Context) => Promise<{
    headers: {
        "x-qpq-is-bot": {
            key: string;
            value: string;
        }[];
    };
    body?: {
        action: "read-only" | "replace";
        data: string;
        encoding: "base64" | "text";
        readonly inputTruncated: boolean;
    } | undefined;
    clientIp: string;
    method: string;
    uri: string;
    querystring: string;
    origin?: import("aws-lambda").CloudFrontOrigin | undefined;
}>;
export declare const getCloudFrontRequestEvent_viewerRequest: () => (event: CloudFrontRequestEvent, context: Context) => Promise<{
    headers: {
        "x-qpq-is-bot": {
            key: string;
            value: string;
        }[];
    };
    body?: {
        action: "read-only" | "replace";
        data: string;
        encoding: "base64" | "text";
        readonly inputTruncated: boolean;
    } | undefined;
    clientIp: string;
    method: string;
    uri: string;
    querystring: string;
    origin?: import("aws-lambda").CloudFrontOrigin | undefined;
}>;
