import { ActionProcessorListResolver, DynamicModuleLoader, QPQConfig, QpqRuntimeType, StorySession } from 'quidproquo-core';
import { Context } from 'aws-lambda';
import { QpqFunctionExecutionEvent } from '../types';
export declare const getQpqLambdaRuntimeForEvent: <E extends QpqFunctionExecutionEvent<any>>(runtimeType: QpqRuntimeType, getStorySession: (event: E) => StorySession, getActionProcessorList: ActionProcessorListResolver, dynamicModuleLoader: DynamicModuleLoader, qpqConfig: QPQConfig) => (event: E, context: Context) => Promise<any>;
